java.lang.NoSuchMethodError: com.mongodb.MongoClient.(Ljava/util/List;Lcom/mongodb/...问题

@[TOC](java.lang.NoSuchMethodError: com.mongodb.MongoClient.(Ljava/util/List;Lcom/mongodb/MongoCredential;Lcom/mongodb/MongoClientOptions;)问题)

问题描述

今天在启动项目时碰到了如下报错:
在这里插入图片描述

解决方法

通过查看一些资料,发现可能是mongo-java-driver版本过低,而mongodb-driver的版本比较高导致的,故查看项目引用的jar包:

在这里插入图片描述
发现确实是mongo-java-driver版本比较低,但项目pom.xml中并没有mongo-java-driver的依赖,故直接在pom.xml中添加3.8.2版本的依赖:

			<dependency>
				<groupId>org.mongodb</groupId>
				<artifactId>mongo-java-driver</artifactId>
				<version>3.8.2</version>
			</dependency>

从而解决该问题。

发布了6 篇原创文章 · 获赞 0 · 访问量 4660
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 大白 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览